INTERFACE
SUBROUTINE GRG_FPARAMAD(PO3COL,PO3TCOL,PCC_COL5,ptaui5,ptaus5,PPRES,PSURF,PALB,PSOL,pcrs_o3,&
 & pfact,PO3COL5,PO3TCOL5,PPRES5,PSURF5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
REAL(KIND=JPRB),intent(inout) :: PO3COL,PO3TCOL
REAL(KIND=JPRB),intent(in) :: PCC_COL5,ptaui5,ptaus5
REAL(KIND=JPRB),intent(in) :: PALB,PSOL
REAL(KIND=JPRB),intent(inout) :: PSURF,PPRES
REAL(KIND=JPRB),intent(in),DIMENSION(1:7) :: pcrs_o3
REAL(KIND=JPRB),intent(inout),DIMENSION(1:7) :: pfact
REAL(KIND=JPRB),intent(in) :: PO3COL5,PO3TCOL5
REAL(KIND=JPRB),intent(in) :: PPRES5,PSURF5
INTEGER(KIND=JPIM),DIMENSION(5),PARAMETER ::iband = (/ 3,4,5,6,7 /)
END SUBROUTINE GRG_FPARAMAD
END INTERFACE
